Skip to navigation Skip to main content
Menu
ADD ANYTHING HERE OR JUST REMOVE IT…
Login / Register
Sign in Create an Account

Lost your password?

0 items .ރ 0.00
Menu
0 items
Parliament rice basmati 5kg bag - Image 1
Click to enlarge
Home Uncategorized Parliament rice basmati 5kg bag
Placeholder
SHAMS NANMA ALL PURPOSE FLOUR (MAIDA) 500GM .ރ 18.00
Back to products
Creme 21 All Day Cream All Purpose Ultra Dry Skin 75 ml
Creme 21 All Day Cream All Purpose Ultra Dry Skin 75 ml .ރ 45.00

Parliament rice basmati 5kg bag

.ރ 190.00

3 in stock

SKU: 03190 Category: Uncategorized
Share:
  • Shipping & Delivery
Shipping & Delivery

Related products

AKBAR TEA BAGS (NORMAL) 25 X 2 g (S)

.ރ 15.00
Add to cart
Placeholder

CANDLE WHITE BIG LILIN LAMPU 20X8 PCS

.ރ 8.00
Add to cart

COAST CALCIUM MILK POWDER 1800 g RFC001

.ރ 420.00
Add to cart

COAST FULL CREAM MILK POWDER 1800 g RFC005

.ރ 410.00
Add to cart

COAST MILK POWDER(SACHET) 2250 g RFC009

.ރ 430.00
Add to cart

DUTCH LADY UHT MILK 200 ml STRAWBERRY

.ރ 15.00
Add to cart

FORMULA TOOTH BRUSH DIAMOND

.ރ 10.00
Add to cart

JULIES PEANUT BUTTER SANDWICH 135 g

.ރ 28.00
Add to cart
    Based on WoodMart theme© 2026 WooCommerce Themes.
    payments
    Start typing to see posts you are looking for.
    • Menu
    • Categories
    Set your categories menu in Header builder -> Mobile -> Mobile menu element -> Show/Hide -> Choose menu
    • Login / Register
    Shopping cart
    Close
    Home
    0 items Cart
    My account